Package org.eclipse.mat.inspections.threads

## Class ThreadInfoQuery.Result

- java.lang.Object
- - org.eclipse.mat.report.Spec
  - - org.eclipse.mat.report.SectionSpec
    - - org.eclipse.mat.inspections.threads.ThreadInfoQuery.Result

All Implemented Interfaces:
  `IResult`

Enclosing class:
  ThreadInfoQuery

    public static class ThreadInfoQuery.Result
    extends SectionSpec

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<IThreadInfo>` `getThreads()`

### Methods inherited from class org.eclipse.mat.report.SectionSpec

`add, getChildren, getStatus, merge, setStatus`

### Methods inherited from class org.eclipse.mat.report.Spec

`getName, getParams, getResultMetaData, getTemplate, putAll, set, setName, setTemplate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getThreads

    public java.util.List<IThreadInfo> getThreads()